gmp_create_lsc_credential_opts_t Struct Reference

Struct holding options for gmp create_lsc_credential command. More...

`#include <gmp.h>`

## Data Fields

const char * | name
| Name of LSC credential.
const char * | community
| SNMP community.
const char * | login
| Login.
const char * | passphrase
| Passphrase.
const char * | private_key
| Private key.
const char * | auth_algorithm
| SNMP authentication algorithm.
const char * | privacy_password
| SNMP privacy password.
const char * | privacy_algorithm
| SNMP privacy algorithm.
const char * | comment
| Comment on LSC credential.

## Detailed Description

Struct holding options for gmp create_lsc_credential command.

## Field Documentation

## auth_algorithm

const char* gmp_create_lsc_credential_opts_t::auth_algorithm

SNMP authentication algorithm.

## comment

const char* gmp_create_lsc_credential_opts_t::comment

Comment on LSC credential.

## community

const char* gmp_create_lsc_credential_opts_t::community

SNMP community.

## login

const char* gmp_create_lsc_credential_opts_t::login

Login.

## name

const char* gmp_create_lsc_credential_opts_t::name

Name of LSC credential.

## passphrase

const char* gmp_create_lsc_credential_opts_t::passphrase

Passphrase.

## privacy_algorithm

const char* gmp_create_lsc_credential_opts_t::privacy_algorithm

SNMP privacy algorithm.

## privacy_password

const char* gmp_create_lsc_credential_opts_t::privacy_password

SNMP privacy password.

## private_key

const char* gmp_create_lsc_credential_opts_t::private_key

Private key.

The documentation for this struct was generated from the following file:

- gmp/gmp.h